Vcenter Identity Providers list

Vcenter Identity Providers list

Retrieve all identity providers.

This operation was added in vSphere API 7.0.0.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires VcIdentityProviders.Read and VcIdentityProviders.Manage.
Request
URI
GET
https://{host}/api/vcenter/identity/providers
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Commonly used information about the identity providers.

[
    {
        "provider": "string",
        "name": "string",
        "config_tag": "string",
        "oauth2": {
            "auth_endpoint": "string",
            "token_endpoint": "string",
            "client_id": "string",
            "authentication_header": "string",
            "auth_query_params": {
                "auth_query_params": [
                    "string"
                ]
            }
        },
        "oidc": {
            "discovery_endpoint": "string",
            "logout_endpoint": "string",
            "auth_endpoint": "string",
            "token_endpoint": "string",
            "client_id": "string",
            "authentication_header": "string",
            "auth_query_params": {
                "auth_query_params": [
                    "string"
                ]
            }
        },
        "is_default": false,
        "domain_names": [
            "string"
        ],
        "auth_query_params": {
            "auth_query_params": [
                "string"
            ]
        },
        "federation_type": "string"
    }
]
array of object
Optional

The Vcenter Identity Providers Summary schema contains commonly used information about an identity provider.

This schema was added in vSphere API 7.0.0.0.


403

if authorization is not given to caller.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/identity/providers